Bug 48788 - --enable-maintainer-mode broken
--enable-maintainer-mode broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: automake (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-11 15:55 EDT by Enrico Scholz
Modified: 2007-04-18 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-17 04:40:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-07-11 15:55:54 EDT
Description of Problem:

When using `--enable-maintainer-mode' the ./configure won't be recreated
after modifying configure.in.

/usr/share/automake/remake contains

| config.status: $(srcdir)/@CONFIGURE_AC@ ...

where former versions have

| config.status: $(srcdir)/configure ...


CONFIGURE_AC gets substituted by configure.in while running automake.



How Reproducible:

everytime


Steps to Reproduce:
1.touch Makefile.am 
2.cat <<EOF >configure.in
AC_INIT
AM_INIT_AUTOMAKE(hello,0.0.1)
AM_MAINTAINER_MODE
AC_OUTPUT([Makefile])
EOF
3. automake --foreign && aclocal && autoconf
4. ./configure --enable-maintainer-mode
5. touch configure.in
6. make

Actual Results:

...
cd . && automake --foreign Makefile
/bin/sh ./config.status --recheck
...


Expected Results:
...
cd . && automake --foreign Makefile
cd . && autoconf
/bin/sh ./config.status --recheck
...


Additional Information:

$ rpm -q automake autoconf
automake-1.4p4-2
autoconf-2.13-12
Comment 1 Glen Foster 2001-07-13 18:18:32 EDT
This defect considered SHOULD-FIX for Fairfax gold-release.
Comment 2 Jens Petersen 2001-07-17 03:32:33 EDT
Thanks for the report.
This is already fixed in automake-1.4-p5.

As you pretty much suggest the following patch fixes in it 1.4-p4.

--- automake-1.4-p4/remake.am~	Tue Jul 17 16:33:46 2001
+++ automake-1.4-p4/remake.am	Tue Jul 17 16:33:46 2001
@@ -17,7 +17,7 @@
 ## 02111-1307, USA.
 
 ## Explicitly look in srcdir for benefit of non-GNU makes.
-config.status: $(srcdir)/@CONFIGURE_AC@ $(CONFIG_STATUS_DEPENDENCIES)
+config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 	$(SHELL) ./config.status --recheck
 ## Explicitly look in srcdir for benefit of non-GNU makes.
 $(srcdir)/configure: @MAINTAINER_MODE_TRUE@$(srcdir)/@CONFIGURE_AC@
$(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
Comment 3 Florian La Roche 2001-07-21 04:01:43 EDT
Fixed in 1.4p5

Note You need to log in before you can comment on or make changes to this bug.